// creator  : weidu.exe (version 23100)
// argument : _SPENGIL.DLG
// game		 : .
// source	 : ./override/_SPENGIL.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_SPENGIL~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #75890 /* ~Eh, what? Leave me be! To Firewine with ye, and I hope ye gets the gout!~ */
  IF ~~ THEN REPLY #75891 /* ~I don't need your backtalk, old man. Get lost.~ */ GOTO 1
  IF ~~ THEN REPLY #75892 /* ~Firewine? What and where is that?~ */ GOTO 2
  IF ~~ THEN REPLY #75893 /* ~I'm more interested in the local color. What can you tell me of Beregost?~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 3.1 0.0
  SAY #75894 /* ~Ye be a might rude, considering it was ye what talked to ME! Shove off, youngster. I don't need yer headache.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #75895 /* ~Firewine Bridge ruins is what I mean. She be pretty far to the south and east, but a strong pair o' legs will get ye there just fine. I would make sure that they are strong enough to bring ye BACK too though. The Firewine ruins might be quite the deathtrap for the inexperienced adventurer. Mind ye remember that, and don't blame old Spen if ye lose a few of yer fellows stumbling about within.~ */
  IF ~~ THEN REPLY #75896 /* ~What else can you tell me of it?~ */ GOTO 3
  IF ~~ THEN REPLY #75897 /* ~Is there anything interesting here in Beregost?~ */ GOTO 4
  IF ~Global("X#SPENGIL2","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SPENGIL2","GLOBAL",1)~ EXTERN ~_KIVANJ~ 398
  IF ~Global("X#SPENGIL2","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SPENGIL2","GLOBAL",1)~ EXTERN ~_IMOEN2~ 470
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #75898 /* ~What? Do I look like I be fool enough to go tromping about in such a place? Not likely. Ye want more info, ye go talk to them halflings in Gullykin. They be curious about such things, and will probably help ye. I warn ye again though, it ain't no place fer a youngin! Ye go there and yer just looking for tough trouble. Best ye cut yer teeth somewhere else before ye throw yer lives down that hole.~ */
  IF ~~ THEN REPLY #75899 /* ~And what of Beregost? Anything interesting here?~ */ GOTO 4
  IF ~~ THEN REPLY #75900 /* ~I don't need you to tell me what I can and cannot handle.~ */ GOTO 1
END

IF ~~ THEN BEGIN 4 // from: 3.0 2.1 0.2
  SAY #75901 /* ~Hereabouts? The temple to the east be an interesting view, if ye like that sort of thing. I don't! Don't like much, actually. Don't think I like you, either. Ehh, leave me to my readin'.~ */
  IF ~~ THEN EXIT
END
